<!DOCTYPE html>
<html lang="uk">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Секретарка - Візити до лікарів</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<!-- Header -->
<header>
    <div class="logo">LOGO</div>
    <button id="authButton">Вхід</button>
</header>

<!-- Форма фільтрації -->
<section id="filterSection">
    <input type="text" id="searchTitle" placeholder="Пошук за заголовком/вмістом">
    <select id="statusFilter">
        <option value="">Всі</option>
        <option value="Open">Open</option>
        <option value="Done">Done</option>
    </select>
    <select id="urgencyFilter">
        <option value="">Всі</option>
        <option value="High">High</option>
        <option value="Normal">Normal</option>
        <option value="Low">Low</option>
    </select>
</section>

<!-- Список візитів -->
<section id="visitList">
    <p id="noItemsMessage">No items have been added.</p>
    <!-- Тут з'являються картки візитів -->
</section>

<!-- Модальні вікна -->
<div id="modalOverlay" class="hidden">
    <div class="modal" id="authModal">
        <h2>Авторизація</h2>
        <input type="email" id="email" placeholder="Email">
        <input type="password" id="password" placeholder="Пароль">
        <button id="loginButton">Увійти</button>
        <button id="closeAuthModal">Закрити</button>
    </div>

    <div class="modal" id="visitModal">
        <h2>Створити візит</h2>
        <select id="doctorSelect">
            <option value="Cardiologist">Кардіолог</option>
            <option value="Dentist">Стоматолог</option>
            <option value="Therapist">Терапевт</option>
        </select>
        <div id="commonFields">
            <input type="text" id="visitPurpose" placeholder="Мета візиту">
            <textarea id="visitDescription" placeholder="Короткий опис"></textarea>
            <select id="urgencySelect">
                <option value="Low">Звичайна</option>
                <option value="Normal">Пріоритетна</option>
                <option value="High">Невідкладна</option>
            </select>
            <input type="text" id="fullName" placeholder="ПІБ">
        </div>
        <div id="doctorSpecificFields"></div>
        <button id="createVisitButton">Створити</button>
        <button id="closeVisitModal">Закрити</button>
    </div>
</div>

<script type="module" src="main.js"></script>
</body>
</html>